ompi/mca/mpool/sm/mpool_sm.h File Reference.TH "ompi/mca/mpool/sm/mpool_sm.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/mpool/sm/mpool_sm.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'opal/class/opal_list.h'\fP
.br
\fC#include 'class/ompi_free_list.h'\fP
.br
\fC#include 'opal/event/event.h'\fP
.br
\fC#include 'mca/mpool/mpool.h'\fP
.br
\fC#include 'mca/allocator/allocator.h'\fP
.br

.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef mca_mpool_sm_component_t \fBmca_mpool_sm_component_t\fP"
.br
.ti -1c
.RI "typedef mca_mpool_sm_module_t \fBmca_mpool_sm_module_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "void \fBmca_mpool_sm_module_init\fP (mca_mpool_sm_module_t *mpool)"
.br
.ti -1c
.RI "void * \fBmca_mpool_sm_base\fP (\fBmca_mpool_base_module_t\fP *)"
.br
.ti -1c
.RI "void * \fBmca_mpool_sm_alloc\fP (\fBmca_mpool_base_module_t\fP *mpool, size_t size, size_t align, uint32_t flags, mca_mpool_base_registration_t **registration)"
.br
.RI "\fIAllocate block of shared memory. \fP"
.ti -1c
.RI "void * \fBmca_mpool_sm_realloc\fP (\fBmca_mpool_base_module_t\fP *mpool, void *addr, size_t size, mca_mpool_base_registration_t **registration)"
.br
.RI "\fIrealloc function typedef \fP"
.ti -1c
.RI "void \fBmca_mpool_sm_free\fP (\fBmca_mpool_base_module_t\fP *mpool, void *addr, mca_mpool_base_registration_t *registration)"
.br
.RI "\fIfree function typedef \fP"
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "OMPI_COMP_EXPORT mca_mpool_sm_component_t \fBmca_mpool_sm_component\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
